Skip to navigation

Retrieve All Tags

View as Markdown

Retrieves all Tags for the Tag Collection specified by the tagCollectionId URI parameter.

You can filter the response by category using the categoryId query string parameter.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

tagCollectionIdstringRequired

Headers

RegionenumOptionalDefaults to US

The Autodesk Schema Registry currently supports in the US and EMEA regions. This header specifies where your data is stored. Possible Values:

  • US - (Default) All requests without a specified region header will be directed to the US region.
  • EMEA - Data center for the European Union, Middle East, and Africa. To access the EMEA region specifically, include the header “region: EMEA” in your API requests.
Allowed values:

Query parameters

categoryIdslist of stringsOptional
An array of Tag Category IDs. The response will contain only the Tags that belong to the categories you specify. If you do not specify a category, the response returns an empty list of Tags.
offsetintegerOptional

Specifies the first so many items to exclude from the response. Use this parameter with the limit query parameter to split the response into multiple pages. To fetch the first page, specify offset =0 (do not exclude any items). To fetch the second page, specify offset = value of limit you specified for the first page. So, the Tags Service excludes the items returned on the first page. In general, offset = previous_offset + previous_limit.This parameter is 0 by default. The minimum value is 0.

limitintegerOptional

Specifies the maximum number of items to return in a single page. Use this parameter with the offset query parameter to split the response into multiple pages. To fetch the first page, specify offset =0 (do not exclude any items). To fetch the second page, specify offset = value of limit you specified for the first page. So, the Tags Service excludes the items returned on the first page. In general, offset = previous_offset + previous_limit.This parameter is 20 by default. The minimum value is 1 and the maximum value is 50

Response

The requested data was successfully returned.
paginationobjectOptional
Specifies if the response has been split in to multiple pages, and if so the details.
resultslist of objectsOptional
An array containing a list of Tags.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
429
Too Many Requests Error